<?xml version="1.0" ?>

<!--Description:

 Converts a TMX document into a Tab-delimited file.

Usage:

 C:\>msxsl <input> TMXToTDF.xsl Src=<srccode> Trg=<trgcode> > <output>
 Where <input> is the TMX document to convert, <srccode> and <trgcode> are ISO 
 locale codes for source and target, and <output> is the resulting file.

Example:

 C:\>msxsl Input.tmx TMXToTDF.xsl Src=en Trg=fr > Output.txt

Notes:

 The output file is in UTF-8, to change the output encoding change the value of the
 encoding attribute in the <xsl:output> element.
 The input TMX file can be in any TMX version from 1.1 to 1.3 (included).

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 version="1.0">

 <xsl:output method="text" encoding="utf-8"/>

 <xsl:param name='Src'>en-US</xsl:param>
 <xsl:param name='Trg'></xsl:param>

 <xsl:template match="text()"/>

 <xsl:template match="//tuv">
  <xsl:value-of select="seg"/>
  <xsl:if test="@xml:lang=$Src">
   <xsl:text>&#x09;</xsl:text>
  </xsl:if>
  <xsl:if test="@lang=$Src">
   <xsl:text>&#x09;</xsl:text>
  </xsl:if>
  <xsl:if test="@xml:lang=$Trg">
   <xsl:text>&#x0d;&#x0a;</xsl:text>
  </xsl:if>
  <xsl:if test="@lang=$Trg">
   <xsl:text>&#x0d;&#x0a;</xsl:text>
  </xsl:if>
 </xsl:template>

</xsl:stylesheet>
